	; Data to accompany cloak.zap

	NDESCBIT=23
	FX?NDESCBIT=256
	CONTBIT=24
	FX?CONTBIT=128
	SURFACEBIT=25
	FX?SURFACEBIT=64
	LIGHTBIT=26
	FX?LIGHTBIT=32
	WORNBIT=27
	FX?WORNBIT=16
	WEARBIT=28
	FX?WEARBIT=8
	TAKEBIT=29
	FX?TAKEBIT=4
	TOUCHBIT=30
	FX?TOUCHBIT=2
	PERSONBIT=31
	FX?PERSONBIT=1

	P?FDESC=15
	P?ADJECTIVE=16
	P?LDESC=17
	P?ACTION=18
	P?SYNONYM=19
	P?DOWN=20
	P?UP=21
	P?OUT=22
	P?IN=23
	P?SOUTHWEST=24
	P?SOUTHEAST=25
	P?NORTHWEST=26
	P?NORTHEAST=27
	P?WEST=28
	P?EAST=29
	P?SOUTH=30
	P?NORTH=31

	A?BRASS=253
	A?SCRAWLED=255
	A?SMALL=254
	ACT?DROP=250
	ACT?EXAMINE=248
	ACT?INVENTORY=245
	ACT?LOOK=255
	ACT?PICK=251
	ACT?PUT=249
	ACT?QUIT=253
	ACT?TAKE=252
	ACT?UNWEAR=246
	ACT?VERSION=244
	ACT?WALK=254
	ACT?WEAR=247
	CEXIT=4
	CEXIT-MSG=1
	CEXIT-VAR=1
	DEXIT=5
	DEXIT-MSG=1
	DEXIT-OBJ=1
	EXIT-RM=0
	FEXIT=3
	FEXIT-RTN=0
	GAME-BANNER=STR?0
	LEXBUF=TBL?1
	M-BEG=1
	MCM-ALL=1
	MCM-ANY=2
	M-END=2
	M-ENTER=3
	M-LOOK=4
	NEXIT=2
	NEXIT-MSG=0
	P1?ADJECTIVE=2
	P1?DIRECTION=3
	P1?OBJECT=0
	P1?VERB=1
	P1MASK=3
	P-DOBJEX=TBL?3
	P-DOBJS=TBL?2
	P-IOBJEX=TBL?5
	P-IOBJS=TBL?4
	P-MAXOBJS=10
	PR?AT=253
	PR?DOWN=254
	PR?OFF=251
	PR?ON=252
	PR?UP=255
	PS?ADJECTIVE=32
	PS?BUZZ-WORD=4
	PS?DIRECTION=16
	PS?OBJECT=128
	PS?PREPOSITION=8
	PS?VERB=64
	READBUF=TBL?0
	READBUF-SIZE=100
	RELEASEID=1
	SYN-ACTION=7
	SYN-FIND1=3
	SYN-FIND2=4
	SYN-NOBJ=0
	SYN-OPTS1=5
	SYN-OPTS2=6
	SYN-PREP1=1
	SYN-PREP2=2
	SYN-REC-SIZE=8
	UEXIT=1
	V?DROP=6
	V?EXAMINE=1
	V?INVENTORY=9
	V?LOOK=0
	V?PUT-ON=8
	V?QUIT=3
	V?TAKE=4
	V?UNWEAR=5
	V?VERSION=10
	V?WALK=2
	V?WEAR=7

GLOBAL:: .TABLE
	.GVAR HERE=0
	.GVAR SCORE=0
	.GVAR TURNS=0
	.GVAR WINNER=PLAYER
	.GVAR PRSA=0
	.GVAR PRSO=0
	.GVAR PRSI=0
	.GVAR PRSO-DIR=0
	.GVAR P-LEN=0
	.GVAR P-V=0
	.GVAR P-NOBJ=0
	.GVAR P-P1=0
	.GVAR P-P2=0
	.GVAR DISTURBED=0
	.GVAR PREPOSITIONS=TBL?9
	.GVAR ACTIONS=TBL?7
	.GVAR PREACTIONS=TBL?8
	.GVAR VERBS=TBL?6
	.ENDT

OBJECT:: .TABLE
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0
	.WORD 0

	.OBJECT ROOMS,0,FX?PERSONBIT+FX?TOUCHBIT+FX?TAKEBIT+FX?WEARBIT+FX?WORNBIT+FX?LIGHTBIT+FX?SURFACEBIT+FX?CONTBIT+FX?NDESCBIT,0,0,FOYER,?PTBL?ROOMS
	.OBJECT PLAYER,0,FX?PERSONBIT+FX?TOUCHBIT,0,0,CLOAK,?PTBL?PLAYER
	.OBJECT CLOAK,0,FX?TAKEBIT+FX?WEARBIT+FX?WORNBIT,PLAYER,0,0,?PTBL?CLOAK
	.OBJECT FOYER,0,FX?LIGHTBIT,ROOMS,BAR,0,?PTBL?FOYER
	.OBJECT BAR,0,0,ROOMS,CLOAKROOM,MESSAGE,?PTBL?BAR
	.OBJECT MESSAGE,0,0,BAR,0,0,?PTBL?MESSAGE
	.OBJECT CLOAKROOM,0,FX?LIGHTBIT,ROOMS,0,HOOK,?PTBL?CLOAKROOM
	.OBJECT HOOK,0,FX?CONTBIT+FX?SURFACEBIT,CLOAKROOM,0,0,?PTBL?HOOK
	.ENDT

?PTBL?ROOMS:: .TABLE
	.STRL ""
	.BYTE 0
	.ENDT

?PTBL?PLAYER:: .TABLE
	.STRL "you"
	.PROP 4,P?SYNONYM
	.WORD W?ME,W?MYSELF
	.PROP 2,P?ACTION
	.WORD PLAYER-R
	.BYTE 0
	.ENDT

?PTBL?CLOAK:: .TABLE
	.STRL "cloak"
	.PROP 2,P?SYNONYM
	.WORD W?CLOAK
	.PROP 2,P?ACTION
	.WORD CLOAK-R
	.BYTE 0
	.ENDT

?PTBL?FOYER:: .TABLE
	.STRL "Foyer of the Opera House"
	.PROP 2,P?NORTH
	.WORD STR?2
	.PROP 1,P?SOUTH
	.BYTE BAR
	.PROP 1,P?WEST
	.BYTE CLOAKROOM
	.PROP 2,P?LDESC
	.WORD STR?1
	.BYTE 0
	.ENDT

?PTBL?BAR:: .TABLE
	.STRL "Foyer Bar"
	.PROP 1,P?NORTH
	.BYTE FOYER
	.PROP 2,P?ACTION
	.WORD BAR-R
	.PROP 2,P?LDESC
	.WORD STR?3
	.BYTE 0
	.ENDT

?PTBL?MESSAGE:: .TABLE
	.STRL "message"
	.PROP 8,P?SYNONYM
	.WORD W?MESSAGE,W?FLOOR,W?SAWDUST,W?DUST
	.PROP 2,P?ACTION
	.WORD MESSAGE-R
	.PROP 1,P?ADJECTIVE
	.BYTE A?SCRAWLED
	.PROP 2,P?FDESC
	.WORD STR?4
	.BYTE 0
	.ENDT

?PTBL?CLOAKROOM:: .TABLE
	.STRL "Cloakroom"
	.PROP 1,P?EAST
	.BYTE FOYER
	.PROP 2,P?LDESC
	.WORD STR?5
	.BYTE 0
	.ENDT

?PTBL?HOOK:: .TABLE
	.STRL "small brass hook"
	.PROP 4,P?SYNONYM
	.WORD W?HOOK,W?PEG
	.PROP 2,P?ADJECTIVE
	.BYTE A?SMALL,A?BRASS
	.PROP 2,P?FDESC
	.WORD STR?6
	.BYTE 0
	.ENDT

TBL?0:: .TABLE 200
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.ENDT

TBL?1:: .TABLE 238
	.BYTE 59,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.WORD 0
	.BYTE 0,0
	.ENDT

TBL?2:: .TABLE 42
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0
	.ENDT

TBL?3:: .TABLE 42
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0
	.ENDT

TBL?4:: .TABLE 42
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0
	.ENDT

TBL?5:: .TABLE 42
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0
	.ENDT

IMPURE::

VOCAB:: .TABLE
	.BYTE 3
	.BYTE 46
	.BYTE 44
	.BYTE 34
	.BYTE 7
	.WORD 74
	.VOCBEG 7,4
W?QUOTE:: .ZWORD """"
	.BYTE 4,243,0
W?COMMA:: .ZWORD ","
	.BYTE 4,244,0
W?PERIOD:: .ZWORD "."
	.BYTE 4,245,0
W?A:: .ZWORD "a"
	.BYTE 4,255,0
W?ALL:: .ZWORD "all"
	.BYTE 4,251,0
W?AN:: .ZWORD "an"
	.BYTE 4,254,0
W?AND:: .ZWORD "and"
	.BYTE 4,253,0
W?ANY:: .ZWORD "any"
	.BYTE 4,252,0
W?AT:: .ZWORD "at"
	.BYTE 8,253,0
W?BRASS:: .ZWORD "brass"
	.BYTE 34,253,0
W?BUT:: .ZWORD "but"
	.BYTE 4,250,0
W?CLOAK:: .ZWORD "cloak"
	.BYTE 128,1,0
W?D:: .ZWORD "d"
	.BYTE 24,254,P?DOWN
W?DOFF:: .ZWORD "doff"
	.BYTE 65,246,0
W?DON:: .ZWORD "don"
	.BYTE 65,247,0
W?DOWN:: .ZWORD "down"
	.BYTE 24,254,P?DOWN
W?DROP:: .ZWORD "drop"
	.BYTE 65,250,0
W?DUST:: .ZWORD "dust"
	.BYTE 128,1,0
W?E:: .ZWORD "e"
	.BYTE 19,P?EAST,0
W?EAST:: .ZWORD "east"
	.BYTE 19,P?EAST,0
W?ENTER:: .ZWORD "enter"
	.BYTE 19,P?IN,0
W?EXAMINE:: .ZWORD "examine"
	.BYTE 65,248,0
W?EXCEPT:: .ZWORD "except"
	.BYTE 4,249,0
W?EXIT:: .ZWORD "exit"
	.BYTE 19,P?OUT,0
W?FLOOR:: .ZWORD "floor"
	.BYTE 128,1,0
W?GET:: .ZWORD "get"
	.BYTE 65,252,0
W?GO:: .ZWORD "go"
	.BYTE 65,254,0
W?GRAB:: .ZWORD "grab"
	.BYTE 65,252,0
W?HANG:: .ZWORD "hang"
	.BYTE 65,249,0
W?HOOK:: .ZWORD "hook"
	.BYTE 128,1,0
W?I:: .ZWORD "i"
	.BYTE 65,245,0
W?IN:: .ZWORD "in"
	.BYTE 19,P?IN,0
W?INVENTORY:: .ZWORD "inventory"
	.BYTE 65,245,0
W?L:: .ZWORD "l"
	.BYTE 65,255,0
W?LOOK:: .ZWORD "look"
	.BYTE 65,255,0
W?ME:: .ZWORD "me"
	.BYTE 128,1,0
W?MESSAGE:: .ZWORD "message"
	.BYTE 128,1,0
W?MYSELF:: .ZWORD "myself"
	.BYTE 128,1,0
W?N:: .ZWORD "n"
	.BYTE 19,P?NORTH,0
W?NE:: .ZWORD "ne"
	.BYTE 19,P?NORTHEAST,0
W?NORTH:: .ZWORD "north"
	.BYTE 19,P?NORTH,0
W?NORTHEAST:: .ZWORD "northeast"
	.BYTE 19,P?NORTHEAST,0
W?NORTHWEST:: .ZWORD "northwest"
	.BYTE 19,P?NORTHWEST,0
W?NW:: .ZWORD "nw"
	.BYTE 19,P?NORTHWEST,0
W?OF:: .ZWORD "of"
	.BYTE 4,248,0
W?OFF:: .ZWORD "off"
	.BYTE 8,251,0
W?ON:: .ZWORD "on"
	.BYTE 8,252,0
W?ONE:: .ZWORD "one"
	.BYTE 4,247,0
W?OUT:: .ZWORD "out"
	.BYTE 19,P?OUT,0
W?PEG:: .ZWORD "peg"
	.BYTE 128,1,0
W?PICK:: .ZWORD "pick"
	.BYTE 65,251,0
W?PUT:: .ZWORD "put"
	.BYTE 65,249,0
W?QUIT:: .ZWORD "quit"
	.BYTE 65,253,0
W?READ:: .ZWORD "read"
	.BYTE 65,248,0
W?S:: .ZWORD "s"
	.BYTE 19,P?SOUTH,0
W?SAWDUST:: .ZWORD "sawdust"
	.BYTE 128,1,0
W?SCRAWLED:: .ZWORD "scrawled"
	.BYTE 34,255,0
W?SE:: .ZWORD "se"
	.BYTE 19,P?SOUTHEAST,0
W?SMALL:: .ZWORD "small"
	.BYTE 34,254,0
W?SOUTH:: .ZWORD "south"
	.BYTE 19,P?SOUTH,0
W?SOUTHEAST:: .ZWORD "southeast"
	.BYTE 19,P?SOUTHEAST,0
W?SOUTHWEST:: .ZWORD "southwest"
	.BYTE 19,P?SOUTHWEST,0
W?SW:: .ZWORD "sw"
	.BYTE 19,P?SOUTHWEST,0
W?TAKE:: .ZWORD "take"
	.BYTE 65,252,0
W?THE:: .ZWORD "the"
	.BYTE 4,246,0
W?U:: .ZWORD "u"
	.BYTE 24,255,P?UP
W?UNWEAR:: .ZWORD "unwear"
	.BYTE 65,246,0
W?UP:: .ZWORD "up"
	.BYTE 24,255,P?UP
W?VERSION:: .ZWORD "version"
	.BYTE 65,244,0
W?W:: .ZWORD "w"
	.BYTE 19,P?WEST,0
W?WALK:: .ZWORD "walk"
	.BYTE 65,254,0
W?WEAR:: .ZWORD "wear"
	.BYTE 65,247,0
W?WEST:: .ZWORD "west"
	.BYTE 19,P?WEST,0
W?X:: .ZWORD "x"
	.BYTE 65,248,0
	.VOCEND
	.ENDT

TBL?6:: .TABLE 24
	.WORD TBL?10,TBL?11,TBL?12,TBL?13,TBL?14,TBL?15,TBL?16,TBL?17,TBL?18,TBL?19
	.WORD TBL?20,TBL?21
	.ENDT

TBL?7:: .TABLE 22
	.WORD V-LOOK,V-EXAMINE,V-WALK,V-QUIT,V-TAKE,V-UNWEAR,V-DROP,V-WEAR,V-PUT-ON,V-INVENTORY
	.WORD V-VERSION
	.ENDT

TBL?8:: .TABLE 22
	.WORD 0,0,0,0,0,0,0,0,0,0
	.WORD 0
	.ENDT

TBL?9:: .TABLE 22
	.WORD 7,W?UP,PR?UP,W?DOWN,PR?DOWN,W?AT,PR?AT,W?ON,PR?ON,W?OFF
	.WORD PR?OFF
	.ENDT

TBL?10:: .TABLE 17
	.BYTE 2,0,0,0,0,0,240,240,0,1
	.BYTE PR?AT,0,0,0,240,240,1
	.ENDT

TBL?11:: .TABLE 9
	.BYTE 1,1,0,0,0,0,240,240,2
	.ENDT

TBL?12:: .TABLE 9
	.BYTE 1,0,0,0,0,0,240,240,3
	.ENDT

TBL?13:: .TABLE 17
	.BYTE 2,1,0,0,TAKEBIT,0,48,240,4,1
	.BYTE PR?OFF,0,WORNBIT,0,194,240,5
	.ENDT

TBL?14:: .TABLE 9
	.BYTE 1,1,PR?UP,0,TAKEBIT,0,48,240,4
	.ENDT

TBL?15:: .TABLE 9
	.BYTE 1,1,0,0,0,0,194,240,6
	.ENDT

TBL?16:: .TABLE 33
	.BYTE 4,1,PR?DOWN,0,0,0,194,240,6,1
	.BYTE PR?ON,0,WEARBIT,0,10,240,7,2,0,PR?ON
	.BYTE 0,SURFACEBIT,194,240,8,2,PR?UP,PR?ON,0,SURFACEBIT
	.BYTE 194,240,8
	.ENDT

TBL?17:: .TABLE 9
	.BYTE 1,1,0,0,0,0,240,240,1
	.ENDT

TBL?18:: .TABLE 9
	.BYTE 1,1,0,0,WEARBIT,0,10,240,7
	.ENDT

TBL?19:: .TABLE 9
	.BYTE 1,1,0,0,WORNBIT,0,194,240,5
	.ENDT

TBL?20:: .TABLE 9
	.BYTE 1,0,0,0,0,0,240,240,9
	.ENDT

TBL?21:: .TABLE 9
	.BYTE 1,0,0,0,0,0,240,240,10
	.ENDT

ENDLOD::
	.ENDI
